import { fork } from 'redux-saga/effects';
import account from 'store/account';
import general from 'store/general';
import workspace from 'store/workspace';
import messagerie from 'store/messagerie';
import booking from 'store/booking';
import order from 'store/order';

import bootupSaga from './bootup';

export default function* appSaga(): void {
  yield fork(bootupSaga);
  yield fork(general.sagas);
  yield fork(messagerie.sagas);
  yield fork(workspace.sagas);
  yield fork(account.sagas);
  yield fork(booking.sagas);
  yield fork(order.sagas);
}
